#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	evolution
Version		:	3.54.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Mail and calendar client for GNOME

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/evolution

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmark-devel >= 0.30.2
BuildRequires	:	enchant
BuildRequires	:	evolution-data-server-devel	= %{version}
BuildRequires	:	gsettings-desktop-schemas
BuildRequires	:	gspell
BuildRequires	:	geocode-glib-devel
BuildRequires	:	gnome-autoar-devel
BuildRequires	:	gnome-desktop-devel
BuildRequires	:	highlight
BuildRequires	:	itstool
BuildRequires	:	libcanberra
BuildRequires	:	libchamplain-devel
BuildRequires	:	libchamplain-gtk
BuildRequires	:	libnotify
BuildRequires	:	openldap-devel
BuildRequires	:	shared-mime-info
BuildRequires	:	ytnef			>= 2.1.2
BuildRequires	:	webkit2gtk4.1-devel

Requires	:	aspell-fr
Requires	:	aspell6-en
Requires	:	enchant
Requires	:	glib-networking
Requires	:	gnome-keyring
Requires	:	gspell
Requires	:	gvfs
Requires	:	highlight

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is the GNOME mailer, calendar, contact manager and
communications tool.  The components which make up Evolution
are tightly integrated with one another and act as a seamless
personal information-management tool.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/%{name}-backup
%{_libexecdir}/%{name}/installed-tests/addressbook.feature
%{_libexecdir}/%{name}/installed-tests/shortcuts.feature
%{_libexecdir}/%{name}/installed-tests/*.py
%{_libexecdir}/%{name}/installed-tests/steps/*.py
%{_libexecdir}/%{name}/killev
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}-data-server/camel-providers/libcamel*.so
%{_libdir}/%{name}-data-server/camel-providers/libcamel*.urls
%{_libdir}/%{name}-data-server/ui-modules/module-%{name}-*.so
%{_libdir}/%{name}/modules/*.so
%{_libdir}/%{name}/plugins/*.{eplug,so}
%{_libdir}/%{name}/web-extensions/*.so
%{_libdir}/%{name}/web-extensions/webkit-editor/*.so
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/applications/org.gnome.Evolution.desktop
%{_datadir}/%{name}/*.xml
%{_datadir}/%{name}/countrytransl.map
%{_datadir}/%{name}/errors/*.error
%{_datadir}/%{name}/sounds/*.wav
%{_datadir}/%{name}/default/*/mail/local/Inbox
%{_datadir}/%{name}/views/*/*.{galview,xml}
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.*.gschema.xml
%{_datadir}/help/*/%{name}/figures/*.png
%{_datadir}/help/*/%{name}/figures/*.svg
%{_datadir}/help/*/%{name}/*.{page,xml}
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/%{name}/icons/hicolor/*/categories/*.svg
%{_datadir}/%{name}/icons/hicolor/*/status/*.svg
%{_datadir}/%{name}/icons/hicolor/scalable/emblems/emblem-new.svg
%{_datadir}/%{name}/address_formats.dat
%{_datadir}/%{name}/ecps/*.ecps
%{_datadir}/%{name}/etspec/message-list.etspec
%{_datadir}/%{name}/etspec/e*.etspec
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/images/*.{jpg,png}
%{_datadir}/%{name}/webkit/*.{js,css}
%{_datadir}/%{name}/icons/hicolor/*/{actions,categories,places,status,apps}/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/{actions,apps}/*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}-symbolic.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/installed-tests/%{name}/*.test
%{_datadir}/metainfo/org.gnome.Evolution*.xml
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  fi

%post
#Note:
# To debug evolution (on imap channel)
# CAMEL_DEBUG=imapx evolution

%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/%{name}/icons/hicolor
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1


#=============================================================================
%package		devel
Summary		:	Development files for building against %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
Development files needed for building things which link against %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/%{name}-mail-composer/
%doc %{_datadir}/gtk-doc/html/%{name}-mail-engine/
%doc %{_datadir}/gtk-doc/html/%{name}-mail-formatter/
%doc %{_datadir}/gtk-doc/html/%{name}-shell/
%doc %{_datadir}/gtk-doc/html/%{name}-util/
%{_includedir}/%{name}/addressbook/gui/widgets/*.h
%{_includedir}/%{name}/calendar/gui/*.h
%{_includedir}/%{name}/composer/*.h
%{_includedir}/%{name}/e-util/*.h
%{_includedir}/%{name}/em-format/*.h
%{_includedir}/%{name}/libemail-engine/*.h
%{_includedir}/%{name}/libgnomecanvas/*.h
%{_includedir}/%{name}/mail/*.h
%{_includedir}/%{name}/shell/*.h
%{_libdir}/pkgconfig/libemail-engine.pc
%{_libdir}/pkgconfig/%{name}*.pc


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-G Ninja					\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D LIBEXEC_INSTALL_DIR=%{_libexecdir}		\
	-D SYSCONF_INSTALL_DIR=%{_sysconfdir}		\
							\
	-D ENABLE_GTK_DOC=ON				\
	-D ENABLE_SMIME=ON				\
							\
	-D ENABLE_INSTALLED_TESTS=ON			\
	-D ENABLE_PST_IMPORT=OFF     			\
	-D ENABLE_YTNEF=OFF          			\
	-D ENABLE_CONTACT_MAPS=OFF   			\
	-D ENABLE_MARKDOWN=OFF       			\
	-D ENABLE_WEATHER=OFF         			\

cmake							\
	--build _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

#-----------------------------------------------------------------------------
%changelog
